Bug 118527 - editors/openoffice.org-2 seg faults when asked to perform digital signature method
Summary: editors/openoffice.org-2 seg faults when asked to perform digital signature m...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-10 04:30 UTC by User1001
Modified: 2009-05-31 00:10 UTC (History)
0 users

See Also:


Attachments
smime.p7s (3.33 KB, application/x-pkcs7-signature)
2008-04-02 21:14 UTC, mikkel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description User1001 2007-12-10 04:30:01 UTC

1) start OO-writer
2) select "Digital Signature" File option
3) OO-writer crashes

ktrace verifies OO-writer opening and reading desired DB files (ala MOZILLA_CERTIFICATE_FOLDER environment variable)
immediately after processing key3.db, the following SIGNAL message occurs:

1804 soffice.bin PSIG  SIGSEGV caught handler=0x291425af mask=0xfffefaff code=0xc

Firefox ceritifcate viewer shows proper certificates in place
NS certutil shows the same
Comment 1 Edwin Groothuis freebsd_committer 2007-12-10 04:36:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 User1001 2008-01-20 19:59:10 UTC
Tested with OOwriter-2.3.1 with the same results. Ktrace shows
Mozilla/Firefox certificate/key database files being opened and read,
then immediate "SIGSEGV .... code=0xc".
Comment 3 mikkel 2008-04-02 21:14:02 UTC
Tested with OOWriter 2.3.1 and 2.4.0 with exactly same result.
I'm running i386 FreeBSD 7.0-RELEASE.

I then tried running OOWriter under sudo (sudo openoffice.org-2.4.0 
-writer) and now the error does NOT occur!
It is not a usable work-around, though, but I guess it's interesting to 
know that the digital signature functions work when running with root 
privileges...
Please let me know if you need me to supply further info reagrding my 
setup, and which commands I should use to produce traces/debugs if needed.

Best regards
Mikkel Troest
Comment 4 Marcin Cieslak 2008-04-03 09:09:55 UTC
1. Can you move away your .openoffice.org-2 directory for a while and test?

2. Can you post a kdump trace somewhere on the Web?

-- 
              << Marcin Cieslak // saper@system.pl >>
Comment 5 mikkel 2008-04-03 11:53:15 UTC
Hi,

Removing the .openoffice.org2 dir did not change anything.
Here is what I did during the ktrace:

[mikkle@Beast /home/mikkle]>rm -rf .openoffice.org2
[mikkle@Beast /home/mikkle]>ktrace -f openoffice-digital.signature.trace 
openoffice.org-2.4.0 -writer

//Filled in "Welcome Wizard"
//type the word "test" into new document, save document as "test.odt"
//Select menu file->digital signatures
//writer crashes
//Document recovery wizard starts
//cancel recovery
//close writer (new instance spawned automatically after crash)
//select "disable systray..." to quit the ooo-systray-applet.
//Trace complete
kdump -f openoffice-digital.signature.trace > 
openoffice-digital.signature.kdump.trace

The raw trace can be fetched here:
http://dev.mikkle.dk/openoffice/118527/openoffice-digital.signature.trace

The kdump decoded trace here:
http://dev.mikkle.dk/openoffice/118527/openoffice-digital.signature.kdump.trace

Do you want me to produce a similar trace when running sudo'ed?
- Are there any specific options I should give ktrace to provide more 
detailed output
(never did touch ktrace before, sorry...)

Please let me know if I can assist further!

Best regards
Mikkel Troest

Marcin Cieslak wrote:
> 1. Can you move away your .openoffice.org-2 directory for a while and test?
>
> 2. Can you post a kdump trace somewhere on the Web?
>
>   





----------
This mail was scanned for viruses at mail.mikkle.dk by ClamAV (tm) and found to be virus free.
Comment 6 mikkel 2008-04-03 12:06:34 UTC
Oops,

Just discovered that the ktrace mentioned below does NOT have all 
relevant info.
Please use these urls in stead:

The raw trace:
http://dev.mikkle.dk/openoffice/118527/ktrace.dump

The kdump decoded trace:
http://dev.mikkle.dk/openoffice/118527/ktrace.txt

Sorry!

BR

Mikkel
Comment 7 mikkel 2008-04-09 22:58:04 UTC
New and very interesting info:

The crash only happens on my installation, when I have the environment 
variable  "OOO_FORCE_DESKTOP" set to "gnome":
setenv OOO_FORCE_DESKTOP gnome

For the record, my gnome packages are listed below.

[mikkle@Beast /home/mikkle]>pkg_info | grep gnome
evolution-webcal-2.21.92 Webcal(endar) handler for gnome
gnome-applets-2.22.0 Applets components for the GNOME 2 Desktop Environment
gnome-audio-2.22.1  Sound files for use with GNOME 2
gnome-backgrounds-2.22.0 A collection of backgrounds for GNOME 2
gnome-control-center-2.22.0 Control center for GNOME 2 project
gnome-desktop-2.22.0 Additional UI API for GNOME 2
gnome-doc-utils-0.12.2 GNOME doc utils
gnome-games-2.22.1  The game applications package for the GNOME 2 
Desktop Envir
gnome-icon-theme-2.22.0 A collection of icons for the GNOME 2 desktop
gnome-keyring-2.22.1 A program that keeps passwords and other secrets
gnome-mag-0.14.10   GNOME screen magnifier
gnome-media-2.22.0  Multimedia applications for the GNOME 2 desktop
gnome-menus-2.22.0  Implementation of the FreeDesktop Desktop Menu Spec
gnome-mime-data-2.18.0_2 A MIME and Application database for GNOME
gnome-mount-0.7_5   A front-end to mount, umount, and eject using HAL
gnome-netstatus-2.12.1_4 A GNOME applet that shows network status
gnome-nettool-2.22.0,1 A GNOME utility that provides network information 
statistic
gnome-panel-2.22.0_3 Panel component for the GNOME 2 Desktop
gnome-power-manager-2.22.1 Power management system for the GNOME Desktop
gnome-screensaver-2.22.1 GNOME screen saver and locker
gnome-session-2.22.0 Session component for the GNOME 2 desktop
gnome-settings-daemon-2.22.0 GNOME 2 settings daemon
gnome-sharp-2.16.0_4 GNOME interfaces for the .NET runtime
gnome-speech-0.4.18 GNOME text-to-speech API
gnome-spell-1.0.8   A GNOME/Bonobo component for spell checking
gnome-system-monitor-2.22.0 GNOME 2 system monitor program
gnome-system-tools-2.22.0 Tools to configure workstations
gnome-terminal-2.22.0 Terminal component for the GNOME 2 Desktop
gnome-themes-2.22.0 A collection of themes and icons for GNOME2
gnome-user-docs-2.22.0 GNOME 2 users guide
gnome-utils-2.20.0.1,1 GNOME 2 support utilities
gnome-vfs-2.22.0    GNOME Virtual File System
gnome-volume-manager-2.22.1_3 Automatically mount removable media, and more
gnome_subr-1.0      Common startup and shutdown subroutines used by 
GNOME scrip
gnomehier-2.3_10    A utility port that creates the GNOME directory tree
gstreamer-plugins-gnomevfs-0.10.19,3 Gstreamer gnomevfs plugin
libgail-gnome-1.20.0 An implementation of the ATK interfaces for GNOME 
widgets
libgnome-2.22.0     Libraries for GNOME, a GNU desktop environment
libgnomecanvas-2.20.1.1 A graphics library for GNOME
libgnomecups-0.2.3,1 Support library for gnome cups admistration
libgnomekbd-2.22.0_1 GNOME keyboard shared library
libgnomeprint-2.18.4 Gnome print support library
libgnomeprintui-2.18.2 Gnome print support library
libgnomeui-2.22.01  Libraries for the GNOME GUI, a GNU desktop environment
policykit-gnome-0.7_3 GNOME frontend to the PolicKit framework
py25-gnome-2.22.0   A set of Python bindings for GNOME 2
py25-gnome-desktop-2.22.0 A set of Python bindings used by modules in 
the GNOME Deskt
system-tools-backends-2.6.0 Backend system admin scripts for 
gnome-system-tools
xscreensaver-gnome-hacks-4.24_2 Save your screen while you entertain 
your cat (for GNOME us
-----

Hope this helps.

BR

Mikkel Troest






----------
This mail was scanned for viruses at mail.mikkle.dk by ClamAV (tm) and found to be virus free.
Comment 8 Marcin Cieslak 2008-04-09 23:36:53 UTC
Can you try the patch that has recently been commited?

editors/openoffice.org-2/files/patch-i75190

anyway, trying a new port would be interesting.

I assume this is another interesting GTK initialization bug.

On my 2.4.0 after I choose digital signature ... nothing happens.
Just nothing. But it does not crash.

I need to figure out the entry point for this and debug from there (it 
used to work long time ago).

-- 
               << Marcin Cieslak // saper@system.pl >>
Comment 9 mikkel 2008-04-12 20:16:02 UTC
Hi,

Sorry, but I don't know how to go about that, unless it's being applied 
automatically when building from the ports tree...
- And in that case, my latest test-build already includes this patch...

Do you need a fresh trace, or do I need to do anything specific to get 
the patch included when building?

:O) Mikkel

Marcin Cieslak wrote:
>
> Can you try the patch that has recently been commited?
>
> editors/openoffice.org-2/files/patch-i75190
>
> anyway, trying a new port would be interesting.
>
> I assume this is another interesting GTK initialization bug.
>
> On my 2.4.0 after I choose digital signature ... nothing happens.
> Just nothing. But it does not crash.
>
> I need to figure out the entry point for this and debug from there (it 
> used to work long time ago).
>
> ------------------------------------------------------------------------
>
> !DSPAM:1660,47fd4529511371660811646!





----------
This mail was scanned for viruses at mail.mikkle.dk by ClamAV (tm) and found to be virus free.
Comment 10 Marcin Cieslak 2008-04-12 21:06:26 UTC
Mikkel Troest wrote:
> Hi,
> 

 >
 > Marcin Cieslak wrote:
 >>
 >> Can you try the patch that has recently been commited?
 >>
 >> editors/openoffice.org-2/files/patch-i75190

> Sorry, but I don't know how to go about that, unless it's being applied 
> automatically when building from the ports tree...
> - And in that case, my latest test-build already includes this patch...


Can you check if in your /usr/ports/editors/openoffice.org-2/files 
there is a "patch-i75190".


> Do you need a fresh trace, or do I need to do anything specific to get 
> the patch included when building?


If you are going to rebuild OOO, could you just change 
"--enable-symbols=SMALL" to "--enable-symbols=TRUE" in 
files/Makefile.knobs and then, when the ooo crashes preserve the 
"soffice.bin.core" file

and run

gdb /usr/local/openoffice.org-2.4.0/program/soffice.bin soffice.bin.core

and then run the command:

"bt" and send me the output.

I will have a look at your ktraces anyway.

What kind of mozilla browser are you using?

As per your root and non-root problem, can you check this:

https://bugzilla.mozilla.org/show_bug.cgi?id=88822

and access rights and file ownership to your Mozilla profile?

-- 
               << Marcin Cieslak // saper@system.pl >>
Comment 11 mikkel 2008-04-13 06:44:45 UTC
Hi Martin,

The patch file is there.
I'll go ahead and build OOO again with --enable-symbols=TRUE.
Regarding the root/non-root issue, I discovered that it was actually 
also environment-related since i did nont pass the OOO-force-desktop env 
to the root context when I sudoed. Thus it was NOT a permissions-issue.

I'll upload new dumps/traces later today (if my build-server behaves :)

:O) Mikkel

Marcin Cieslak wrote:
> Mikkel Troest wrote:
>> Hi,
>>
> >
> > Marcin Cieslak wrote:
> >>
> >> Can you try the patch that has recently been commited?
> >>
> >> editors/openoffice.org-2/files/patch-i75190
>
>> Sorry, but I don't know how to go about that, unless it's being 
>> applied automatically when building from the ports tree...
>> - And in that case, my latest test-build already includes this patch...
>
> Can you check if in your /usr/ports/editors/openoffice.org-2/files 
> there is a "patch-i75190".
>
>
>> Do you need a fresh trace, or do I need to do anything specific to 
>> get the patch included when building?
>
> If you are going to rebuild OOO, could you just change 
> "--enable-symbols=SMALL" to "--enable-symbols=TRUE" in 
> files/Makefile.knobs and then, when the ooo crashes preserve the 
> "soffice.bin.core" file
>
> and run
>
> gdb /usr/local/openoffice.org-2.4.0/program/soffice.bin soffice.bin.core
>
> and then run the command:
>
> "bt" and send me the output.
>
> I will have a look at your ktraces anyway.
>
> What kind of mozilla browser are you using?
>
> As per your root and non-root problem, can you check this:
>
> https://bugzilla.mozilla.org/show_bug.cgi?id=88822
>
> and access rights and file ownership to your Mozilla profile?
>
> ------------------------------------------------------------------------
>
> !DSPAM:1660,480116b5548781643716331!





----------
This mail was scanned for viruses at mail.mikkle.dk by ClamAV (tm) and found to be virus free.
Comment 12 mikkel 2008-05-08 00:52:47 UTC
Hi again,

Sorry for the loate follow up.

When ooo crashes, it does not actually produce a core dump! (?)
    - I've searched through all my drives - nothing...
I'm running a build with --enable-symbols=TRUE.

Are there any way to force the core dump when the crash occurs? - any 
envs that can be set or something?

:O) Mikkel





----------
This mail was scanned for viruses at mail.mikkle.dk by ClamAV (tm) and found to be virus free.
Comment 13 Marcin Cieślak 2008-05-08 11:06:15 UTC
Do you have stdout of the openoffice.org open? Just start OOo from 
command-line not from some kind ogf GUI menu.

It might be that you don't get a core file in case of some glib errors. 
I used to attach debuger to the soffice.bin process and trace it until 
it broke.

The stdout may give some hints.

Did you try any of the patches?

-- 
               << Marcin Cieslak // saper@saper.info >>
Comment 14 mikkel 2008-05-08 14:50:52 UTC
Hi,

Nothing at all on stdout:
gdb66, however, gave me this:

----------
[mikkle@Beast /home/mikkle]>gdb66 program 39317
GNU gdb 6.6 [GDB v6.6 for FreeBSD]
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain 
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-portbld-freebsd7.0"...
program: No such file or directory.
Attaching to process 39317
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/soffice.bin...(no debugging 
symbols found)...done.
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libvcl680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libvcl680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libsvl680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libsvl680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libsvt680fi.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libsvt680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libutl680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libutl680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libtl680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libtl680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libi18nisolang1gcc3.so...
(no debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libi18nisolang1gcc3.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libcomphelp4gcc3.so...(no 
debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libcomphelp4gcc3.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libucbhelper4gcc3.so...(no 
debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libucbhelper4gcc3.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libvos3gcc3.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libvos3gcc3.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libuno_cppuhelpergcc3.so.3...(no 
debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libuno_cppuhelpergcc3.so.3
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libuno_cppu.so.3...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libuno_cppu.so.3
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libuno_sal.so.3...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libuno_sal.so.3
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libtk680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libtk680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libsfx680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libsfx680fi.so
Reading symbols from /usr/local/lib/libX11.so.6...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libX11.so.6
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libstlport_gcc.so...(no 
debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libstlport_gcc.so
Reading symbols from /usr/lib/libstdc++.so.6...(no debugging symbols 
found)...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libm.so.5...
(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.5
Reading symbols from /lib/libgcc_s.so.1...(no debugging symbols 
found)...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libthr.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libthr.so.3
Reading symbols from /lib/libc.so.7...
(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.7
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libpsp680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libpsp680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libsot680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libsot680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libbasegfx680fi.so...
(no debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libbasegfx680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libicuuc.so.36...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libicuuc.so.36
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libicule.so.36...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libicule.so.36
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libjvmaccessgcc3.so.3...
(no debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libjvmaccessgcc3.so.3
Reading symbols from /usr/local/lib/libXext.so.6...(no debugging symbols 
found)...done.
Loaded symbols for /usr/local/lib/libXext.so.6
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libjvmfwk.so.3...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libjvmfwk.so.3
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libuno_salhelpergcc3.so.3...
(no debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libuno_salhelpergcc3.so.3
Reading symbols from /lib/libz.so.4...(no debugging symbols found)...done.
Loaded symbols for /lib/libz.so.4
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libfwe680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libfwe680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libsb680fi.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libsb680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libxcr680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libxcr680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libj680fi_g.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libj680fi_g.so
Reading symbols from /usr/local/lib/libXau.so.6...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXau.so.6
Reading symbols from /usr/local/lib/libXdmcp.so.6...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libXdmcp.so.6
Reading symbols from /usr/lib/librpcsvc.so.4...(no debugging symbols 
found)...done.
Loaded symbols for /usr/lib/librpcsvc.so.4
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libicudata.so.36...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libicudata.so.36
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libxml2.so.2.6.17...(no 
debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libxml2.so.2.6.17
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libfwi680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libfwi680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libvclplug_gtk680fi.so...
(no debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libvclplug_gtk680fi.so
Reading symbols from /usr/local/lib/libgtk-x11-2.0.so.0...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libgtk-x11-2.0.so.0
Reading symbols from /usr/local/lib/libgdk-x11-2.0.so.0...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk-x11-2.0.so.0
Reading symbols from /usr/local/lib/libatk-1.0.so.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libatk-1.0.so.0
Reading symbols from /usr/local/lib/libgdk_pixbuf-2.0.so.0...(no 
debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/local/lib/libpangocairo-1.0.so.0...(no 
debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpangocairo-1.0.so.0
Reading symbols from /usr/local/lib/libXrender.so.1...
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXrender.so.1
Reading symbols from /usr/local/lib/libXinerama.so.1...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libXinerama.so.1
Reading symbols from /usr/local/lib/libXi.so.6...(no debugging symbols 
found)...done.
Loaded symbols for /usr/local/lib/libXi.so.6
Reading symbols from /usr/local/lib/libXrandr.so.2...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXrandr.so.2
Reading symbols from /usr/local/lib/libXcursor.so.1...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libXcursor.so.1
Reading symbols from /usr/local/lib/libXcomposite.so.1...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libXcomposite.so.1
Reading symbols from /usr/local/lib/libXdamage.so.1...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libXdamage.so.1
Reading symbols from /usr/local/lib/libcairo.so.2...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libcairo.so.2
Reading symbols from /usr/local/lib/libpangoft2-1.0.so.0...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libpangoft2-1.0.so.0
Reading symbols from /usr/local/lib/libpango-1.0.so.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libpango-1.0.so.0
Reading symbols from /usr/local/lib/libfontconfig.so.1...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libfontconfig.so.1
Reading symbols from /usr/local/lib/libXfixes.so.3...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libXfixes.so.3
Reading symbols from /usr/local/lib/libgobject-2.0.so.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgobject-2.0.so.0
Reading symbols from /usr/local/lib/libgmodule-2.0.so.0...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libgmodule-2.0.so.0
Reading symbols from /usr/local/lib/libgthread-2.0.so.0...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libgthread-2.0.so.0
Reading symbols from /usr/local/lib/libglib-2.0.so.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libglib-2.0.so.0
Reading symbols from /usr/local/lib/libiconv.so.3...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libiconv.so.3
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libvclplug_gen680fi.so...(no 
debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libvclplug_gen680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libfreetype.so.9...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libfreetype.so.9
Reading symbols from /usr/local/lib/libpng.so.5...(no debugging symbols 
found)...done.
Loaded symbols for /usr/local/lib/libpng.so.5
Reading symbols from /usr/local/lib/libexpat.so.6...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libexpat.so.6
Reading symbols from /usr/local/lib/libintl.so.8...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libintl.so.8
Reading symbols from /usr/local/lib/libicui18n.so.38...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libicui18n.so.38
Reading symbols from /usr/local/lib/libpcre.so.0...(no debugging symbols 
found)...done.
Loaded symbols for /usr/local/lib/libpcre.so.0
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libsndfile.so.1.0.9...
(no debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libsndfile.so.1.0.9
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libportaudio.so.0...(no 
debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libportaudio.so.0
Reading symbols from /usr/local/lib/libSM.so.6...(no debugging symbols 
found)...done.
Loaded symbols for /usr/local/lib/libSM.so.6
Reading symbols from /usr/local/lib/libICE.so.6...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libICE.so.6
Reading symbols from /usr/local/lib/libicuuc.so.38...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libicuuc.so.38
Reading symbols from /usr/local/lib/libicudata.so.38...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libicudata.so.38
Reading symbols from /usr/local/lib/libGL.so.1...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libGL.so.1
Reading symbols from /usr/local/lib/libXxf86vm.so.1...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libXxf86vm.so.1
Reading symbols from /usr/local/lib/libdrm.so.2...(no debugging symbols 
found)...done.
Loaded symbols for /usr/local/lib/libdrm.so.2
Reading symbols from /usr/local/lib/dri/radeon_dri.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/dri/radeon_dri.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libgcc3_uno.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libgcc3_uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/bootstrap.uno.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/bootstrap.uno.so
Reading symbols from /usr/local/openoffice.org-2.4.0/program/libreg.so.3...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libreg.so.3
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libstore.so.3...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libstore.so.3
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libunsafe_uno_uno.so...(no 
debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libunsafe_uno_uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libuno_purpenvhelpergcc3.so.3...
(no debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libuno_purpenvhelpergcc3.so.3
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/configmgr2.uno.so...(no 
debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/configmgr2.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/stocservices.uno.so...(no 
debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/stocservices.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/sysmgr1.uno.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/sysmgr1.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/desktopbe1.uno.so...(no 
debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/desktopbe1.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/gconfbe1.uno.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/gconfbe1.uno.so
Reading symbols from /usr/local/lib/libgconf-2.so.4...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgconf-2.so.4
Reading symbols from /usr/local/lib/libORBit-2.so.0...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libORBit-2.so.0
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/sax.uno.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/sax.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/localebe1.uno.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/localebe1.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/behelper.uno.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/behelper.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libspl680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libspl680fi.so
Reading symbols from 
/usr/local/lib/gtk-2.0/2.10.0/engines/libclearlooks.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libucb1.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libucb1.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/ucpgvfs1.uno.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/ucpgvfs1.uno.so
Reading symbols from /usr/local/lib/libgnomevfs-2.so.0...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libgnomevfs-2.so.0
Reading symbols from /usr/local/lib/libxml2.so.5...(no debugging symbols 
found)...done.
Loaded symbols for /usr/local/lib/libxml2.so.5
Reading symbols from /usr/local/lib/libdbus-glib-1.so.2...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libdbus-glib-1.so.2
Reading symbols from /usr/local/lib/libdbus-1.so.3...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libdbus-1.so.3
Reading symbols from /usr/local/lib/libssl.so.5...(no debugging symbols 
found)...done.
Loaded symbols for /usr/local/lib/libssl.so.5
Reading symbols from /usr/local/lib/libcrypto.so.5...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libcrypto.so.5
Reading symbols from /usr/local/lib/libavahi-glib.so.1...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/libavahi-glib.so.1
Reading symbols from /usr/local/lib/libavahi-common.so.3...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libavahi-common.so.3
Reading symbols from /usr/local/lib/libavahi-client.so.3...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/lib/libavahi-client.so.3
Reading symbols from /lib/libutil.so.7...
(no debugging symbols found)...done.
Loaded symbols for /lib/libutil.so.7
Reading symbols from /lib/libssp.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libssp.so.0
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libfwl680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libfwl680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libucpfile1.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libucpfile1.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libfwk680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libfwk680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libfilterconfig1.so...(no 
debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libfilterconfig1.so
Reading symbols from /usr/local/lib/pango/1.6.0/modules/pango-basic-fc.so...
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)...done.
Loaded symbols for /usr/local/lib/pango/1.6.0/modules/pango-basic-fc.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libpackage2.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libpackage2.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libfileacc.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libfileacc.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libsvx680fi.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libsvx680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libavmedia680fi.so...(no 
debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libavmedia680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libxo680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libxo680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libgo680fi.so...
(no debugging symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libgo680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/liblng680fi.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/liblng680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libi18nutilgcc3.so...(no 
debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libi18nutilgcc3.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libdtransX11680fi.so...
(no debugging symbols found)...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libdtransX11680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/i18npool.uno.so...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/i18npool.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libicui18n.so.36...(no debugging 
symbols found)...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libicui18n.so.36
Reading symbols from /usr/local/lib/libcups.so.2...done.
Loaded symbols for /usr/local/lib/libcups.so.2
Reading symbols from /usr/local/lib/libgnutls.so.26...done.
Loaded symbols for /usr/local/lib/libgnutls.so.26
Reading symbols from /usr/local/lib/libtasn1.so.3...done.
Loaded symbols for /usr/local/lib/libtasn1.so.3
Reading symbols from /usr/local/lib/libgcrypt.so.15...done.
Loaded symbols for /usr/local/lib/libgcrypt.so.15
Reading symbols from /usr/local/lib/libgpg-error.so.0...done.
Loaded symbols for /usr/local/lib/libgpg-error.so.0
Reading symbols from /lib/libcrypt.so.4...done.
Loaded symbols for /lib/libcrypt.so.4
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libuui680fi.so...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libuui680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libsw680fi.so...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libsw680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/liblocaledata_euro.so...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/liblocaledata_euro.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/liblocaledata_en.so...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/liblocaledata_en.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/fsstorage.uno.so...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/fsstorage.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libxstor.so...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libxstor.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/reflection.uno.so...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/reflection.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libguesslang680fi.so...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libguesslang680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libtextcat.so...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libtextcat.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/deployment680fi.uno.so...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/deployment680fi.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libdeploymentmisc680fi.so...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libdeploymentmisc680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libhelplinker680fi.so...done.
Loaded symbols for 
/usr/local/openoffice.org-2.4.0/program/libhelplinker680fi.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libdb-4.2.so...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libdb-4.2.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libxslt.so.1.1.16...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libxslt.so.1.1.16
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/ucpexpand1.uno.so...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/ucpexpand1.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/ldapbe2.uno.so...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/ldapbe2.uno.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libldap50.so...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libldap50.so
Reading symbols from 
/usr/local/openoffice.org-2.4.0/program/libmcnttype.so...done.
Loaded symbols for /usr/local/openoffice.org-2.4.0/program/libmcnttype.so
Reading symbols from /libexec/ld-elf.so.1...done.
Loaded symbols for /libexec/ld-elf.so.1
0x294a286f in poll ()
   from /lib/libc.so.7
(gdb) step
Single stepping until exit from function poll,
which has no line number information.
0x29412862 in poll () from /lib/libthr.so.3
(gdb) c                                                                  
      !!!!!!!!!!!!!!!!!!!!!!! Now I access the "digital signature menu"
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x2fe06c13 in SHA1_Update () from /usr/local/lib/libcrypto.so.5
(gdb) step
Single stepping until exit from function SHA1_Update,
which has no line number information.
Warning:
Cannot insert breakpoint 0.
Error accessing memory address 0x0: Input/output error.

(gdb) setp
Undefined command: "setp".  Try "help".
(gdb) step
Cannot find bounds of current function
(gdb) c
Continuing.

Program received signal SIGFPE, Arithmetic exception.
0x280cd9e4 in ?? () from /libexec/ld-elf.so.1
(gdb) q
The program is running.  Quit anyway (and detach it)? (y or n) n
Not confirmed.
(gdb) continue
Continuing.


Program terminated with signal SIGFPE, Arithmetic exception.
The program no longer exists.
(gdb)
The program is not being run.
(gdb) next
The program is not being run.
(gdb) q
[mikkle@Beast /home/mikkle]>


----------

libcrypto is from openssl...:

[mikkle@Beast /home/mikkle]>pkgdb /usr/local/lib/libcrypto.so.5
openssl-0.9.8g

Please note that this is my first time ever using a debugger, so if 
there is anything obvious that I should have done but didn't, please 
forgive me, and tell my what to do  to get you som usable output! ;-)

I'll play a bit more around with gdb...

Regarding the patches - the build I'm running on now, is based on 
cvsup'd ports collection from yesterday, so I believe the patches are 
all applied...


:O) Mikkel
Marcin Cieslak wrote:
> Do you have stdout of the openoffice.org open? Just start OOo from 
> command-line not from some kind ogf GUI menu.
>
> It might be that you don't get a core file in case of some glib 
> errors. I used to attach debuger to the soffice.bin process and trace 
> it until it broke.
>
> The stdout may give some hints.
>
> Did you try any of the patches?
>
> ------------------------------------------------------------------------
>
> !DSPAM:1660,4822d3c4576081676063276!





----------
This mail was scanned for viruses at mail.mikkle.dk by ClamAV (tm) and found to be virus free.
Comment 15 Marcin Cieślak 2008-05-08 15:57:28 UTC
Program received signal SIGSEGV, Segmentation fault.
  0x2fe06c13 in SHA1_Update () from /usr/local/lib/libcrypto.so.5
  (gdb) step

Are you using OpenSSL from ports? Can you try with base system OpenSSL?
(e.g. move OpenSSL libraries temporarily away)?

If that does not work, can you move away base system openssl (try not to 
break your OS if accessed remotely!)?

I am afraid this looks like the conflict between system OpenSSL and 
OpenSSL integrated with OOO. Adding --with-system-openssl to configure 
flags should help then...

-- 
               << Marcin Cieslak // saper@saper.info >>
Comment 16 mikkel 2008-05-08 22:09:15 UTC
Hi again,

Yes, I use OpenSSL from ports.

I tried the following:
/usr/local/lib/libcrypto.* removed
...
(gdb) continue
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x2fea9f41 in SHA1_Update () from /lib/libcrypto.so.5
(gdb) q
The program is running.  Quit anyway (and detach it)? (y or n) y
Detaching from program: 
/usr/local/openoffice.org-2.4.0/program/soffice.bin, process 45381
[mikkle@Beast /home/mikkle]>


/lib/libcrypto.* removed
...
(gdb) continue
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x2fe06c13 in SHA1_Update () from /usr/local/lib/libcrypto.so.5
(gdb)

Still funny that the problem only occurs with OOO_FORCE_DESKTOP=gnome ...

I'll cook a new build where I patch the Makefile to include 
--with-system-openssl in the configure args.
I'll update you with my findings when he build is done and I've had time 
to test.

:O) Mikkel

Marcin Cieslak wrote:
> Program received signal SIGSEGV, Segmentation fault.
>  0x2fe06c13 in SHA1_Update () from /usr/local/lib/libcrypto.so.5
>  (gdb) step
>
> Are you using OpenSSL from ports? Can you try with base system OpenSSL?
> (e.g. move OpenSSL libraries temporarily away)?
>
> If that does not work, can you move away base system openssl (try not 
> to break your OS if accessed remotely!)?
>
> I am afraid this looks like the conflict between system OpenSSL and 
> OpenSSL integrated with OOO. Adding --with-system-openssl to configure 
> flags should help then...
>
> ------------------------------------------------------------------------
>
> !DSPAM:1660,4823159772954151219065!





----------
This mail was scanned for viruses at mail.mikkle.dk by ClamAV (tm) and found to be virus free.
Comment 17 Martin Wilke freebsd_committer 2009-05-31 00:06:14 UTC
State Changed
From-To: open->feedback

Could you please test if this issue still exists with an fresh ports 
tree? Thanks for your report.
Comment 18 Martin Wilke freebsd_committer 2009-05-31 00:10:46 UTC
State Changed
From-To: feedback->closed

submitter mail bounce. close!